[quote="markdaku, post:3, topic:136114"]
At the moment is it
[/quote]

https://www.sslchecker.com/sslchecker shows that the cert is valid until March next year. This also shows the same thing;
```
$ echo | openssl s_client -showcerts -servername  https://artifacts.elastic.co -connect artifacts.elastic.co:443 2>/dev/null | openssl x509 -noout -dates
notBefore=Jan 18 00:00:00 2016 GMT
notAfter=Mar 27 12:00:00 2019 GMT
```

If you can you show logs or other output of what you are seeing then it'll help identify where the issue is.

[quote="markdaku, post:3, topic:136114"]
First off indices need to be upgraded.
[/quote]
Only for indices created on version N-2 (where N is the major version you are moving to).

[quote="markdaku, post:3, topic:136114"]
If you use plugins the interface instantly STOPS. Instant loss of data.
[/quote]
You do need to upgrade plugins, yes. That overall process is not ideal and it's something we want to improve.

[quote="markdaku, post:3, topic:136114"]
If for example a beat upgrades prior to elasticsearch even a minor upgrade that event data is LOST.
[/quote]

That should not be the case. Can you share more information, logs, etc for this?

---